input:not([type=checkbox]):not([type=radio]),
textarea, 
select {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

input, textarea {
	outline: none;
	&:focus:required:invalid { border-color: red }
	&:required:valid { border-color: green }
}

option::selection {background: #ccc;}
option::-moz-selection {background: #ccc;}
option::-webkit-selection {background: #ccc; color:#fff;}


.field {
    margin: 0;
	width: 100%;
    height: 52px;
    border: none;
	outline: none;
	color: rgba(255,255,255,0.6);
	box-shadow: none;
	font-weight: 400;
	font-size: 2rem;
	line-height: 2.2rem;
	padding: 15px 0;
	background: transparent;
	display: inline-block;
    vertical-align: middle;
	border-bottom: 1px solid #b5b5b5;
	@include placeholder(rgba(255,255,255,0.6));
	
	&::-ms-clear {
		display: none;
		width: 0;
		height: 0;
	}

	&:focus,
	&:active {
		outline: none;
		color: rgba(255,255,255,1);
		border-bottom-color: #fff;
		@include placeholder(transparent);
	}


	&.error {
		border-color: red !important;
	}

}

textarea.field {
	height: auto;
	resize: none;
}

.error {

	.field {
		border-bottom-color: red;
	}
}

.checkbox {
	font-size: 0;
	line-height: 0;
	font-weight: 400;
	position: relative;
	display: inline-block;

	input {
		top: 0;
		left: 0;
		opacity: 0;
		width: 1px;
		height: 1px;
		visibility: hidden;
		position: absolute;
	}

	span {
		color: #3a3a3a;
		font-size: 1.4rem;
		line-height: 2rem;
		position: relative;
		padding-left: 30px;
		display: inline-block;

		&::before {
			top: 0;
			left: 0;
			z-index: 1;
			content: '';
			width: 20px;
			height: 20px;
			display: block;
			position: absolute;
			border-radius: 2px;
			border: 1px solid #565656
		}

		&:after {
			top: 0;
			left: 0;
			z-index: 2;
			content: '';
			width: 20px;
			height: 20px;
			display: block;
			opacity: 0;
			visibility: hidden;
			position: absolute;
			background: #000;
		}
	}


	input:checked + span {

		&::before {
			border-color: #000;
		}

		&::after {
			opacity: 1;
			visibility: visible;
		}
	}

	input:disabled + span {
		opacity: 0.4;
	}
	
}

.form-group {
	margin-bottom: 20px;
}

.form-button {
	position: relative;
}

.form-success {
	left: 0;
	width: 100%;
	display: none;
	border-radius: 10px;
	top: calc(100% + 20px);
	position: absolute;
	text-align: center;
	font-size: 1.4rem;
	line-height: 2rem;
	padding: 20px;
	background: rgba(63, 96, 64, 0.8);

	&:before {
		left: calc(50% - 10px);
		bottom: 100%;
		content: '';
		position: absolute;
		border: 10px solid transparent;
		border-bottom: 10px solid rgba(63, 96, 64, 0.8);
	}


	@media (min-width: $screen-sm-min) {

		&.right {
			width: 370px;
			top: calc(50% - 50px);
			left: calc(100% + 30px);

			&:before {
				top: calc(50% - 10px);
				left: auto;
				right: 100%;
				border: 10px solid transparent;
				border-right: 10px solid rgba(63, 96, 64, 0.8);
			}
		}
	}
}